# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   框架
# FileName:      read_json.py
# Author:       xxxxxxx
# Datetime:     2023/11/4 10:57
# Description:
# 命名规范：文件名全小写+下划线，类名大驼峰，方法和变量小写+下划线连接，
# 常量大写，变量和常量用名词，方法用动词
# ---------------------------------------------------------------------------
import json
import logging
import os

from InterfaceAutoTest_2.common import log


def read_json(filename):
    """读取json文件，将json文件的内容转成python对象，并返回"""
    if os.path.isfile(filename) and filename.endswith(".json"):
        try:
            with open(filename, mode="r", encoding="utf-8") as f:
                return json.loads(f.read())
        except:
            log.error("打开json文件获取json文件打的内容序列化为python对象失败，请查看json文件是否有错误")
            raise FileExistsError("打开json文件获取json文件打的内容序列化为python对象失败，请查看json文件是否有错误")

    else:
        log.error("json文件的路径不合法")
        raise FileExistsError("json文件的路径不合法")
